接口地址
GET /hub/v1/tasks/:taskId,直到 ready = true。
模型参考(Model Reference)
在下方按能力分类的标签页中挑选模型,点击展开即可查看参数表和可直接复制的请求示例。- 文生图 · 4
- 图生图 / 编辑 · 4
nano-banana — Nano Banana (Google)
nano-banana — Nano Banana (Google)
Gemini 2.5 Flash Image: fast and affordable text-to-image generation.
| Parameter | Type | Req | Default | Values / Range | Description |
|---|---|---|---|---|---|
seed | integer | – | – | The seed for the random number generator. | |
prompt | string | ✓ | – | – | The text prompt to generate an image from. |
sync_mode | boolean | – | – | If True, the media will be returned as a data URI and the output data won’t be available in the request history. | |
num_images | integer | 1 | – | The number of images to generate. | |
aspect_ratio | string | 1:1 | 21:9 16:9 3:2 4:3 5:4 1:1 4:5 3:4 2:3 9:16 | The aspect ratio of the generated image. | |
output_format | string | png | jpeg png webp | The format of the generated image. | |
safety_tolerance | string | 4 | 1 2 3 4 5 6 | The safety tolerance level for content moderation. 1 is the most strict (blocks most content), 6 is the least strict. Note: API-only parameter. | |
limit_generations | boolean | – | – | Experimental parameter to limit the number of generations from each round of prompting to 1. Set to True to disregard any instructions in the prompt regarding the number of images to generate. |
nano-banana-2 — Nano Banana 2 (Google)
nano-banana-2 — Nano Banana 2 (Google)
Nano Banana 2 (Gemini 3.1 Flash Image) ??fast text-to-image with resolution tiers.
| Parameter | Type | Req | Default | Values / Range | Description |
|---|---|---|---|---|---|
seed | integer | – | – | The seed for the random number generator. | |
prompt | string | ✓ | – | – | The text prompt to generate an image from. |
sync_mode | boolean | – | – | If True, the media will be returned as a data URI and the output data won’t be available in the request history. | |
num_images | integer | 1 | – | The number of images to generate. | |
resolution | string | 1K | 0.5K 1K 2K 4K | The resolution of the image to generate. | |
aspect_ratio | string | auto | auto 21:9 16:9 3:2 4:3 5:4 1:1 4:5 3:4 2:3 9:16 4:1 1:4 8:1 1:8 | The aspect ratio of the generated image. Supports extreme ratios: 4:1, 1:4, 8:1, 1:8. Use ‘auto’ to let the model decide based on the prompt. | |
output_format | string | png | jpeg png webp | The format of the generated image. | |
system_prompt | string | “ | – | Optional system instruction that steers the model’s persona and output style across the request. Leave blank to omit; when provided, it is sent as the system instruction to Gemini (or as a system message on OpenAI-compatible providers). | |
thinking_level | string | – | minimal high | When set, enables model thinking with the given level (‘minimal’ or ‘high’) and includes thoughts in the generation. Omit to disable. | |
safety_tolerance | string | 4 | 1 2 3 4 5 6 | The safety tolerance level for content moderation. 1 is the most strict (blocks most content), 6 is the least strict. Note: API-only parameter. | |
enable_web_search | boolean | – | – | Enable web search for the image generation task. This will allow the model to use the latest information from the web to generate the image. | |
limit_generations | boolean | true | – | Experimental parameter to limit the number of generations from each round of prompting to 1. Set to True to disregard any instructions in the prompt regarding the number of images to generate and ignore any intermediate images generated by the model. This may affect generation quality. |
nano-banana-pro — Nano Banana Pro (Google)
nano-banana-pro — Nano Banana Pro (Google)
Nano Banana Pro (Gemini 3 Pro Image) ??studio-quality text-to-image generation.
| Parameter | Type | Req | Default | Values / Range | Description |
|---|---|---|---|---|---|
seed | integer | – | – | The seed for the random number generator. | |
prompt | string | ✓ | – | – | The text prompt to generate an image from. |
sync_mode | boolean | – | – | If True, the media will be returned as a data URI and the output data won’t be available in the request history. | |
num_images | integer | 1 | – | The number of images to generate. | |
resolution | string | 1K | 1K 2K 4K | The resolution of the image to generate. | |
aspect_ratio | string | 1:1 | auto 21:9 16:9 3:2 4:3 5:4 1:1 4:5 3:4 2:3 9:16 | The aspect ratio of the generated image. | |
output_format | string | png | jpeg png webp | The format of the generated image. | |
system_prompt | string | “ | – | Optional system instruction that steers the model’s persona and output style across the request. Leave blank to omit; when provided, it is sent as the system instruction to Gemini (or as a system message on OpenAI-compatible providers). | |
safety_tolerance | string | 4 | 1 2 3 4 5 6 | The safety tolerance level for content moderation. 1 is the most strict (blocks most content), 6 is the least strict. Note: API-only parameter. | |
enable_web_search | boolean | – | – | Enable web search for the image generation task. This will allow the model to use the latest information from the web to generate the image. Note: disabled on this platform. | |
limit_generations | boolean | – | – | Experimental parameter to limit the number of generations from each round of prompting to 1. Set to True to disregard any instructions in the prompt regarding the number of images to generate. |
gpt-image-2 — GPT Image 2 (OpenAI)
gpt-image-2 — GPT Image 2 (OpenAI)
GPT Image 2, OpenAI’s latest image model, is capable of creating extremely detailed images with fine typography.
| Parameter | Type | Req | Default | Values / Range | Description |
|---|---|---|---|---|---|
prompt | string | ✓ | – | – | The prompt for image generation |
quality | string | high | auto low medium high | Quality for the generated image. Use ‘auto’ to let the model pick the best quality for the prompt. | |
sync_mode | boolean | – | – | If True, the media will be returned as a data URI and the output data won’t be available in the request history. | |
image_size | oneOf | landscape_4_3 | Preset / Custom | The size of the generated image. Use a preset name or a custom object. Concrete sizes: both dimensions must be multiples of 16, max edge 3840px, aspect ratio ??3:1, total pixels 655,360??,294,400. | |
num_images | integer | 1 | – | Number of images to generate | |
output_format | string | png | jpeg png webp | Output format for the images |